import pygame, sys
from keyboard import is_pressed

#Initialize pygame and set up window
pygame.init()
winSize = (800, 600)
screen = pygame.display.set_mode(winSize)
pygame.display.set_caption('Control where text is on screen by using mouse')

#Load font and render text
myriadProFont = pygame.font.SysFont('Myriad Pro', 48)
helloWorld = myriadProFont.render('Hello World!', 1, (255, 0, 255), (255, 255, 255))

helloWorldSize = helloWorld.get_size()

x, y = 0, 0

directionX, directionY = 1, 1

#Add clock so that the next frame is displayed at an exact time
clock = pygame.time.Clock()

while True:
    
    #Use is_pressed() from keyboard module to let user quit application by clicking 'q' on their keyboard
    if is_pressed('q'):
        sys.exit()
    
    clock.tick(40)

    #Keep screen open and let user exit window using for loop
    for ev in pygame.event.get():
        if ev.type == pygame.QUIT:
            sys.exit()
    
    screen.fill((0,0,0))

    screen.blit(helloWorld, (x, y))
    
    mousePos = pygame.mouse.get_pos()
    
    x, y = mousePos
    
    if x + helloWorldSize[0] > 800:
        x = 800 - helloWorldSize[0]
    
    if y + helloWorldSize[1] > 600:
        y = 600 - helloWorldSize[1]
    
    #Update window    
    pygame.display.update()